Update projection values fo French NTF in srs.db

2007-02-16 01:40 AM - lrntct-gmail-com -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10657

Description

Hello,

As discussed here, Qgis ship with wrong values for the French "Lambert" projections.

I tried to make an SQL script to update it. It could be great if some NTF users check it.

Thanks.

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=49.50000000000001 +lat_0=49.50000000000001 +lon_0=0

+k_0=0.999877341 +x_0=600000 +y_0=200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1600;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=46.8 +lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=200000

+a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs' WHERE rowid=1601;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=44.10000000000001 +lat_0=44.10000000000001 +lon_0=0

+k_0=0.999877499 +x_0=600000 +y_0=200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1602;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=42.16500000000001 +lat_0=42.16500000000001 +lon_0=0

+k_0=0.99994471 +x_0=234.358 +y_0=185861.369 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1603;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=49.50000000000001 +lat_0=49.50000000000001 +lon_0=0

+k_0=0.999877341 +x_0=600000 +y_0=1200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1604;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=46.8 +lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=2200000

+a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs' WHERE rowid=1605;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=44.10000000000001 +lat_0=44.10000000000001 +lon_0=0

+k_0=0.999877499 +x_0=600000 +y_0=3200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1606;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=42.16500000000001 +lat_0=42.16500000000001 +lon_0=0

+k_0=0.99994471 +x_0=234.358 +y_0=4185861.369 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1607;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=49.50000000000001 +lat_0=49.50000000000001 +lon_0=0

+k_0=0.999877341 +x_0=600000 +y_0=1200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1608;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=46.8 +lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=2200000

+a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs' WHERE rowid=1609;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=44.10000000000001 +lat_0=44.10000000000001 +lon_0=0

+k_0=0.999877499 +x_0=600000 +y_0=3200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1610;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=42.16500000000001 +lat_0=42.16500000000001 +lon_0=0

+k_0=0.99994471 +x_0=234.358 +y_0=4185861.369 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1611;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=49.50000000000001 +lat_0=49.50000000000001 +lon_0=0

2024-04-27 1/2

http://www.nabble.com/Projection-parameters-for-french-NTF-tf2345054.html


+k_0=0.999877341 +x_0=600000 +y_0=200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1612;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=46.8 +lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=200000

+a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris +units=m +no_defs' WHERE rowid=1613;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=44.10000000000001 +lat_0=44.10000000000001 +lon_0=0

+k_0=0.999877499 +x_0=600000 +y_0=200000 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1614;

UPDATE tbl_srs SET parameters='+proj=lcc +lat_1=42.16500000000001 +lat_0=42.16500000000001 +lon_0=0

+k_0=0.99994471 +x_0=234.358 +y_0=185861.369 +a=6378249.2 +b=6356515 +towgs84=-168,-60,320,0,0,0,0 +pm=paris

+units=m +no_defs' WHERE rowid=1615;

History

#1 - 2007-05-24 12:45 PM - jrepetto -

I think the parameter +ellps=clark80 is missing too. See ticket #719.

#2 - 2007-06-10 08:10 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Thank you for your contribution. I have applied these changes to both 0.8.1 and svn trunk as  and commit:6be4c44f (SVN r7016) respectively.

Regards

Tim

#3 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
